=== debian/changelog ===
movgrab (1.1.14-1maemo0) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Thu,  6 Dec 2012 22:05:13 +0100

movgrab (1.1.14-1~webupd8~lucid) lucid; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 05 Dec 2012 15:19:19 +0200
 

movgrab (1.1.13-1~webupd8~lucid) lucid; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 14 Nov 2012 14:14:46 +0200
 

movgrab (1.1.12-1~webupd8~quantal) quantal; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Fri, 05 Oct 2012 19:23:50 +0300
 

movgrab (1.1.11-1~webupd8~quantal) quantal; urgency=medium
 
  * new upstream bugfix release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 18 Sep 2012 11:08:33 +0300
 

movgrab (1.1.10-1~webupd8~quantal1) quantal; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 05 Jun 2012 20:02:07 +0300
 

movgrab (1.1.9-1~webupd8~precise) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Thu, 22 Mar 2012 10:08:46 +0100
 

movgrab (1.1.7-1~webupd8~precise1) precise; urgency=medium

  * initial upload

 -- Alin Andrei <webupd8@gmail.com>  Tue, 07 Feb 2012 14:45:36 +0000
