=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: 

build:
	dh_testdir
	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr"
	dh_auto_build

clean:
	dh_auto_clean

binary-arch:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs
	mkdir $(CURDIR)/debian/movgrab/usr/bin/
	cp movgrab $(CURDIR)/debian/movgrab/usr/bin/
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-arch
