=== debian/changelog ===
movgrab (1.1.15-1maemo0) unstable; urgency=low

  * Added basic 'ETA' meter, added support for google video search
    links, fixed dailymotion titles.

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 29 Mar 2013 11:49:38 +0100
