=== debian/control ===
Source: movgrab
Section: gnome
Priority: extra
Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://sites.google.com/site/columscode/home/movgrab

Package: movgrab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Movgrab
  Command line tool to download videos from various websites like: YouTube, Daily Motion, Break, Ehow, 5min, Blip.tv, MyVideo, Clipshark, MyTopClip, RedBalcony, Mobango, izlese, Yale University, San Diago Natural History Museum, Princeton University, University of California Television, Reuters, clipfish.de, Liveleak, Academic Earth, Photobucket, VideoEmo, Videos Facebook, Aljazeera, mefeedia, myvido1, iViewTube, Washington Post, CBS News, France24, metatube, motionfeeds, exapistmagazine, guardian, redorbit, scivee, royalsociety
