=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 build:
 	dh_testdir
-	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr"
+	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr --enable-ssl --enable-largefiles"
 	dh_auto_build
 
 clean:
