=== debian/changelog ===
movgrab (1.2.0-1maemo0) unstable; urgency=low

  * Removed 'Clipshack' (Dead Site).
  * Removed '5 min' (better dead than AOL).
  * Removed 'PressTV' (Switched to rtmp? In this day and age?).
  * Added 'Funny or die'.
  * Fixes for most sites.
  * Much work done on 'ipad streaming' downloads (.m3u8 files).

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 26 Apr 2013 19:11:19 +0200
