=== debian/changelog ===
movgrab (1.2.1-1maemo0) unstable; urgency=low

  * Fixes for many sites, added 'sshtunnel' proxy type.

 -- COLIN Stephane <colin.stephane@ovi.com>  Tue, 30 Apr 2013 14:06:01 +0200
